org.eclipse.graphiti.features.context

## Interface IAddContext

All Superinterfaces:
  IAreaContext, IContext, ILocationContext, IPropertyBag, ITargetConnectionContext, ITargetConnectionDecoratorContext, ITargetContext

All Known Subinterfaces:
  IAddConnectionContext

All Known Implementing Classes:
  AddConnectionContext, AddContext

    public interface IAddContext
    extends IAreaContext, ITargetContext, ITargetConnectionContext, ITargetConnectionDecoratorContext

The Interface IAddContext. This context contains the information, needed to let a feature add a pictogram element, which has to be linked to any domain model element, to a container shape.

See Also:
  `PictogramElement`, `ContainerShape`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getNewObject()` A pictogram element has to be added.

### Methods inherited from interface org.eclipse.graphiti.features.context.IAreaContext

`getHeight, getWidth`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetContext

`getTargetContainer`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetConnectionContext

`getTargetConnection`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetConnectionDecoratorContext

`getTargetConnectionDecorator`

### Method Detail

#### getNewObject

    Object getNewObject()

A pictogram element has to be added. This pictogram element has to link to a domain model element.

Returns:
  instance of a domain model element